Packages - Bug #2559

Packaging Request # 2506 (in progress): arch introduced a base metapackage to replace the meta group

Housekeeping # 2549 (in progress): move non-systemd packages to [nonsystemd]

conflict installing openrc-desktop - /mnt/etc/init.d/NetworkManager exists in both 'networkmanager’

and 'networkmanager-openrc’
2019-11-29 09:01 PM - bill-auger

Status: confirmed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

checking for file conflicts...

/mnt /etc/NetworkManager/dispatcher.d/10-openrc-status exists in both 'networkmanager' and
manager-openrc'

/mnt/etc/conf.d/NetworkManager exists in both 'networkmanager' and 'networkmanager-openrc'
/mnt/etc/init.d/NetworkManager exists in both 'networkmanager' and 'networkmanager-openrc'
Errors occurred, no packages were upgraded.

'network

History

#1 - 2019-11-29 09:04 PM - bill-auger
- Parent task set to #2549

#2 - 2019-12-13 01:45 AM - bill-auger

this is because 'pcr/networkmanager-openrc' is in the 'openrc-desktop' - for now, i changed the wiki instructions from:
# pacstrap /mnt openrc-desktop systemd-dummy

to:

# pacstrap /mnt acpid-openrc alsa-utils-openrc avahi-openrc bluez-openrc displaymanager—-openrc \
elogind gpm-openrc modemmanager-pk-rules opensysusers wpa_supplicant-openrc

probably many of those packages will be renamed or replaced soon; but that command gets the system installed for now

‘opensysusers' needs to be included here because dbus will not start without it - if dbus can not start, then elogind and networkmanager will not start

either

i then added the install of 'nonsystem/networkmanager' as a separate step, assuming that it is not stirctly necessary if one wants to use some other

networking config tool

#3 - 2019-12-19 11:25 PM - bill-auger

- Subject changed from conflict installing openrc-desktop to conflict installing openrc-desktop - /mnt/etc/init.d/NetworkManager exists in both

'networkmanager' and 'networkmanager-openrc'
